%define name aethera
%define version 0.9.1
%define release 1mdk

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Aethera - Email and PIM application for KDE
Group: 		Graphical desktop/KDE
License: 	GPL
Packager: 	Daouda Lo <daouda@mandrakesoft.com>
Source: 	%{name}-%{version}.tar.bz2
#Source1: %{name}16.xpm.bz2
#Source2: %{name}32.xpm.bz2
#Source3: %{name}48.xpm.bz2
#Patch: 		%{name}-%{version}-stdlib_missing.patch.bz2 
URL: 		http://www.thekompany.com/projects/aethera/
Buildroot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:  gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires:  XFree86-static-libs automake arts autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires:  libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 openssl db1 freetype2
BuildRequires:  libjpeg62 kdesupport libmng1 libpng2 libqt2 libstdc++2.10 libqt2-devel rpm-build

%description
Aethera is a pim application, i.e. it handles all kinds of personal information:
 email, contacts, notes, tasks, todos, journals.
It has various communication features regarding: send/receive email, 
send/receive task requests and appointment requests via email and it can 
also send SMSs using web gateways.1

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}
#%patch -p1
%build
make -f Makefile.cvs
./configure  --with-install-root=$RPM_BUILD_ROOT \
	     --disable-debug 

%make

%install
make prefix=$RPM_BUILD_ROOT%_prefix install
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu

cat <<EOF > $RPM_BUILD_ROOT/usr/lib/menu/aethera
?package(aethera): needs=X11 \
section="Networking/Mail" \
title="Aethera" \
longtitle="Aethera pim client"\
command="/usr/bin/aethera" \
icon="mail_section.xpm"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun 
%clean_menus

%files
%defattr(-,root,root)
%_bindir/*

%dir %_datadir/apps/%{name}/
%dir %_datadir/apps/%{name}/toolbar/

%_datadir/apps/%{name}/*.list
%_datadir/apps/%{name}/toolbar/*.png
%_datadir/apps/%{name}/toolbar/*.xpm
%_menudir/aethera

%changelog
* Tue Apr 3 2001 Daouda Lo <daouda@mandrakesoft.com> 0.9.1-1mdk
- release 

* Fri Mar 30 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.0-4mdk
- Clean spec and add build requires

* Wed Mar 14 2001 David BAUDENS <baudens@mandrakesoft.com> 0.9.0-3mdk
- Rebuild against Qt 2.3.0

* Fri Mar 9 2001 Daouda Lo <daouda@mandrakesoft.com> 0.9.0-2mdk
- add menu entry + icons

* Thu Mar  8 2001  Daouda Lo <daouda@mandrakesoft.com> 0.9.0-1mdk
- first mandrake build .
